package com.cpop.core.base.exception;

import org.springframework.security.core.AuthenticationException;

/**
 * @author: DB
 * @Date: 2023/08/24/18:10
 * @Description: 自定义认证失败异常
 */
public class CpopAuthenticationException extends AuthenticationException {

    private Object params;

    public CpopAuthenticationException(String msg) {
        super(msg);
    }

    public CpopAuthenticationException(String msg, Object params) {
        super(msg);
        this.params = params;
    }

    public Object getParams() {
        return params;
    }
}
